# Class JMeterError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.apache.jorphan.util.JMeterError

All Implemented Interfaces:
  `Serializable`

public class JMeterError extends Error
The rationale for this class was originally to support chained Errors in JDK 1.3 However, the class is now used in its own right.

Version:
  $Revision: 905024 $
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMeterError()`
`JMeterError(String s)`
`JMeterError(String message, Throwable cause)`
`JMeterError(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterError

public JMeterError()

### JMeterError

public JMeterError(String s)

### JMeterError

public JMeterError(Throwable cause)

### JMeterError

public JMeterError(String message, Throwable cause)